# DataExchange
TKIGES
IGESAppli

# IGESAppli_LevelToPWBLayerMap Class Reference

defines LevelToPWBLayerMap, Type <406> Form <24>
in package IGESAppli
Used to correlate an exchange file level number with
its corresponding native level identifier, physical PWB
layer number and predefined functional level
identification

`#include <IGESAppli_LevelToPWBLayerMap.hxx>`

Inheritance diagram for IGESAppli_LevelToPWBLayerMap:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_LevelToPWBLayerMap ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Handle(TColStd_HArray1OfInteger)&allExchLevels, const Handle(Interface_HArray1OfHAsciiString)&allNativeLevels, const Handle(TColStd_HArray1OfInteger)&allPhysLevels, const Handle(Interface_HArray1OfHAsciiString)&allExchIdents)

This method is used to set the fields of the class
LevelToPWBLayerMap
- nbPropVal : Number of property values
- allExchLevels : Exchange File Level Numbers
- allNativeLevels : Native Level Identifications
- allPhysLevels : Physical Layer Numbers
- allExchIdents : Exchange File Level Identifications
raises exception if allExchLevels, allNativeLevels, allPhysLevels
and all ExchIdents are not of same dimensions
.

Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns number of property values
Standard_EXPORT Standard_Integer | NbLevelToLayerDefs () const
| returns number of level to layer definitions
Standard_EXPORT Standard_Integer | ExchangeFileLevelNumber (const Standard_Integer Index) const
| returns Exchange File Level Number raises exception if Index <= 0 or Index > NbLevelToLayerDefs
Standard_EXPORT Handle_TCollection_HAsciiString | NativeLevel (const Standard_Integer Index) const
| returns Native Level Identification raises exception if Index <= 0 or Index > NbLevelToLayerDefs
Standard_EXPORT Standard_Integer | PhysicalLayerNumber (const Standard_Integer Index) const
| returns Physical Layer Number raises exception if Index <= 0 or Index > NbLevelToLayerDefs
Standard_EXPORT Handle_TCollection_HAsciiString | ExchangeFileLevelIdent (const Standard_Integer Index) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Handle_TColStd_HArray1OfInteger | theExchangeFileLevelNumber
Handle_Interface_HArray1OfHAsciiString | theNativeLevel
Handle_TColStd_HArray1OfInteger | thePhysicalLayerNumber
Handle_Interface_HArray1OfHAsciiString | theExchangeFileLevelIdent

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_LevelToPWBLayerMap::IGESAppli_LevelToPWBLayerMap | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_LevelToPWBLayerMap::ExchangeFileLevelIdent | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_LevelToPWBLayerMap::ExchangeFileLevelNumber | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESAppli_LevelToPWBLayerMap::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_LevelToPWBLayerMap::Init | ( | const Standard_Integer | nbPropVal,
|  | const Handle(TColStd_HArray1OfInteger)& | allExchLevels,
|  | const Handle(Interface_HArray1OfHAsciiString)& | allNativeLevels,
|  | const Handle(TColStd_HArray1OfInteger)& | allPhysLevels,
|  | const Handle(Interface_HArray1OfHAsciiString)& | allExchIdents
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_LevelToPWBLayerMap::NativeLevel | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_LevelToPWBLayerMap::NbLevelToLayerDefs | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_LevelToPWBLayerMap::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_LevelToPWBLayerMap::PhysicalLayerNumber | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Handle_Interface_HArray1OfHAsciiString IGESAppli_LevelToPWBLayerMap::theExchangeFileLevelIdent `[private]`

Handle_TColStd_HArray1OfInteger IGESAppli_LevelToPWBLayerMap::theExchangeFileLevelNumber `[private]`

Handle_Interface_HArray1OfHAsciiString IGESAppli_LevelToPWBLayerMap::theNativeLevel `[private]`

Standard_Integer IGESAppli_LevelToPWBLayerMap::theNbPropertyValues `[private]`

Handle_TColStd_HArray1OfInteger IGESAppli_LevelToPWBLayerMap::thePhysicalLayerNumber `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_LevelToPWBLayerMap.hxx